Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Auth connection ID

Body

application/json

Request to submit field values, click an SSO button, select an MFA method, or select a sign-in option. Provide exactly one of fields, sso_button_selector, sso_provider, mfa_option_id, or sign_in_option_id.

fields
object

Map of field name to value

Example:
sso_button_selector
string

XPath selector for the SSO button to click (ODA). Use sso_provider instead for CUA.

Example:

"xpath=//button[contains(text(), 'Continue with Google')]"

sso_provider
string

SSO provider to click, matching the provider field from pending_sso_buttons (e.g., "google", "github"). Cannot be used with sso_button_selector.

Example:

"google"

mfa_option_id
string

The MFA method type to select (when mfa_options were returned)

Example:

"sms"

sign_in_option_id
string

The sign-in option ID to select (when sign_in_options were returned)

Example:

"work-account"

Response

Submission accepted for processing

Response from submitting field values

accepted
boolean
required

Whether the submission was accepted for processing